import type { Plugin } from 'vue';
export declare function flattenToken(token: any): string;
/**
 * Convert derivative token to key string
 */
export declare function token2key(token: any, salt: string): string;
export declare function supportLayer(): boolean;
export declare function withInstall<T>(comp: T): T & Plugin;
export declare function supportWhere(): boolean;
export declare function supportLogicProps(): boolean;
